-define(SQL_ROLE_NUCLEON_GET, <<"SELECT `lv`,`exp`,`normal`,`ntime`,`nfirst`,`nstate`,`special`,`stime`,`sfirst`,`estate`,`rtime` FROM `role_nucleon` where rid=~p">>).
-define(SQL_ROLE_NUCLEON_REPLACE,<<"replace into `role_nucleon` (`rid`,`lv`,`exp`,`normal`,`ntime`,`nfirst`,`nstate`,`special`,`stime`,`sfirst`,`estate`,`rtime`) VALUES (~p,~p,~p,~p,~p,~p,'~ts',~p,~p,~p,'~ts',~p)">>).
-define(SQL_PLAYER_NUCLEON_GET,<<"SELECT `pos`,`grade`,`lv`,`exp`,`skill`,`skill_lv`,`sec_lv`,`attrs` FROM `player_nucleon` where rid=~p">>).
-define(SQL_PLAYER_NUCLEON_REPLACE,<<"replace into `player_nucleon` (`rid`,`pos`,`grade`,`lv`,`exp`,`skill`,`skill_lv`,`sec_lv`,`attrs`) VALUES (~p,~p,~p,~p,~p,~p,~p,~p,'~ts')">>).

-define(MODIY_VALUE, 3).

-record(role_nucleon, {
	lv    = 0,   %%灵能等级
	exp   = 0,   %%灵能经验
	holes = [],  %%槽位数据nucleon_hole
	armor_attr = [], %%装甲属性
	normal = 0,  %%普通已抽免费次数
	ntime  = 0,  %%上次免费抽时间
	nfirst = 0,  %%普通首次
	nstate = [], %%免费抽奖情况
	special = 0, %%付费已抽免费次数
	stime  = 0,  %%上次付费已抽免费次数
	sfirst = 0,  %%付费首次
	estate = [], %%付费抽奖情况
	rtime  = 0,  %%刷新时间
	power  = 0,  %%系统战力
	attrs  = []  %%系统属性
}).

-record(nucleon_hole,{
	pos   = 0,       %%部位
	grade = 1,       %%部位阶位
	lv    = 1,       %%部位等级
	exp   = 0,       %%=部位经验
	attrs = [],      %%部位属性
	skill = 0,       %%技能
	skill_lv  = 0,	 %%技能等级
	sec_lv    = 0	 %%觉醒等级
}).

%%配置结构
-record(nucleon_title_base, {
	name =  "", %%名称
	exp  = 0,   %%激活要求
	next = 0,   %%下一阶
	cost = [],  %%消耗
	rate = 0,   %%暴击概率
	dungeon = 0,%%副本要求
	attrs = []  %%属性
}).

%%圣物基础
-record(nucleon_equip_base, {
	star  = 0,    %%星数
	attrs = [],   %%基础属性
	resolve = [],  %%分解材料
	cost = [],   %%突破消耗
	next = 0     %%突破目标
}).

%%圣物升级
-record(nucleon_lv_base, {
	exp  = 0,  %%经验条
	next = 0,  %%下一级
	cost = [], %%消耗
	grade = 0  %%属于阶段
}).

%%圣物洗练
-record(nucleon_recast_base,{
	attrs = [],%%基础属性
	maxs  = [],%%属性上限
	adds  = [],%%成长值
	cost  = [] %%消耗
}).

%%圣物觉醒
-record(nucleon_section_base,{
	cost=[],
	attrs=[],
	skill=[],
	sec_skill=[],
	next=0
}).

%%奖池奖品
-record(nucleon_award_base, {
	awards = [],
	color  = 0,     %%品质
	broadcast  = 0, %%是否广播0否
	lv     = 0  %%开放等级
}).

%%奖池设置
-record(pool_base, {
	cost = [], %%单抽消耗
	pay  = [], %%十年抽消耗
	base = [], %%基础获得
	rule = [], %%隐藏规则[{2,10}] 品质2 10次必出
	first = 0, %%首次获得 用来指定首次抽奖奖池品质 就是楼上的#nucleon_award_base.color
	cd  = 0,   %%免费CD
	free = 0,  %%每日免费次数
	open = 0,  %%开服有效
	one  = 0,  %%单抽券
	ten  = 0   %%连抽券
}).